package com.ruoyi.tcZz.mapper;

import java.util.List;
import com.ruoyi.tcZz.domain.TcWb;
import org.apache.ibatis.annotations.Param;

/**
 * 微博Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface TcWbMapper 
{
    /**
     * 查询微博
     * 
     * @param id 微博主键
     * @return 微博
     */
    public TcWb selectTcWbById(Long id);

    /**
     * 查询微博列表
     * 
     * @param tcWb 微博
     * @return 微博集合
     */
    public List<TcWb> selectTcWbList(TcWb tcWb);

    /**
     * 新增微博
     * 
     * @param tcWb 微博
     * @return 结果
     */
    public int insertTcWb(TcWb tcWb);

    /**
     * 修改微博
     * 
     * @param tcWb 微博
     * @return 结果
     */
    public int updateTcWb(TcWb tcWb);

    /**
     * 删除微博
     * 
     * @param id 微博主键
     * @return 结果
     */
    public int deleteTcWbById(Long id);

    /**
     * 批量删除微博
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcWbByIds(Long[] ids);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(@Param("isStatus") Integer isStatus, @Param("ids") List<String> ids);
}
